org.apache.calcite.avatica.proto

## Interface Requests.ConnectionSyncRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.ConnectionSyncRequest, Requests.ConnectionSyncRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.ConnectionSyncRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Common.ConnectionProperties` `getConnProps()` `.ConnectionProperties conn_props = 2;`
`Common.ConnectionPropertiesOrBuilder` `getConnPropsOrBuilder()` `.ConnectionProperties conn_props = 2;`
`boolean` `hasConnProps()` `.ConnectionProperties conn_props = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### hasConnProps

    boolean hasConnProps()

`.ConnectionProperties conn_props = 2;`

#### getConnProps

    Common.ConnectionProperties getConnProps()

`.ConnectionProperties conn_props = 2;`

#### getConnPropsOrBuilder

    Common.ConnectionPropertiesOrBuilder getConnPropsOrBuilder()

`.ConnectionProperties conn_props = 2;`